1
vote
2answers
240 views

Change GCC version on Mac OSX Lion

I'm currently running GCC 4.2. I would like to switch to a more recent version. I have Homebrew and I have MacPorts for package management. I've followed several tutorials today for installing a ...
0
votes
1answer
224 views

Can I use a different version of gcc inside Xcode?

I installed gcc4.7 from MacPorts and I would like to use it inside Xcode (4.5). Is there a way to achieve this setup? Thanks
11
votes
2answers
3k views

macports gcc select error trying to exec i686-apple-darwin11-llvm-gcc-4.2

I am working on OS X 10.7 (Lion). I have installed gcc 4.7 from macports: sudo port install gcc47 It seems to be working properly: $ /opt/local/bin/gcc-mp-4.7 -v (...) gcc version 4.7.0 (GCC) ...
0
votes
1answer
362 views

configure architecture?

When trying to install a more recent version of subversion, I get an installation error for 'apr'. When I look at the log file, it says: :debug:main Using compiler 'Mac OS X gcc 4.0' :debug:configure ...
1
vote
1answer
2k views

Mac ports installation of gcc46 failing due to architecture problems

When trying to install gcc46 on OS X 10.6.4 using port (MacPorts 1.9.1) i get the following errors: artemis:foo$ sudo port install gcc46 Error: Cannot install gcc46 for the arch(s) 'x86_64' because ...
4
votes
3answers
9k views

How to specify which GCC for MacPorts to use?

I compiled GCC 4.4.3 and installed it in /usr/local/bin, but whenever I install a port via MacPorts 1.8.2 the verbose output says MacPorts is using /usr/bin/gcc-4.2: checking for gcc... ...